// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.15.2
// source: zone-api/zone/zone.proto

package zone

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type ZoneStatusRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ZoneStatusRequest) Reset() {
	*x = ZoneStatusRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_zone_api_zone_zone_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ZoneStatusRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ZoneStatusRequest) ProtoMessage() {}

func (x *ZoneStatusRequest) ProtoReflect() protoreflect.Message {
	mi := &file_zone_api_zone_zone_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ZoneStatusRequest.ProtoReflect.Descriptor instead.
func (*ZoneStatusRequest) Descriptor() ([]byte, []int) {
	return file_zone_api_zone_zone_proto_rawDescGZIP(), []int{0}
}

type ZoneStatusReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Status *ZoneStatus `protobuf:"bytes,1,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *ZoneStatusReply) Reset() {
	*x = ZoneStatusReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_zone_api_zone_zone_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ZoneStatusReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ZoneStatusReply) ProtoMessage() {}

func (x *ZoneStatusReply) ProtoReflect() protoreflect.Message {
	mi := &file_zone_api_zone_zone_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ZoneStatusReply.ProtoReflect.Descriptor instead.
func (*ZoneStatusReply) Descriptor() ([]byte, []int) {
	return file_zone_api_zone_zone_proto_rawDescGZIP(), []int{1}
}

func (x *ZoneStatusReply) GetStatus() *ZoneStatus {
	if x != nil {
		return x.Status
	}
	return nil
}

type ZoneStatus struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Zid     string `protobuf:"bytes,1,opt,name=zid,proto3" json:"zid,omitempty"`
	Status  string `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
	Version string `protobuf:"bytes,3,opt,name=version,proto3" json:"version,omitempty"`
}

func (x *ZoneStatus) Reset() {
	*x = ZoneStatus{}
	if protoimpl.UnsafeEnabled {
		mi := &file_zone_api_zone_zone_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ZoneStatus) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ZoneStatus) ProtoMessage() {}

func (x *ZoneStatus) ProtoReflect() protoreflect.Message {
	mi := &file_zone_api_zone_zone_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ZoneStatus.ProtoReflect.Descriptor instead.
func (*ZoneStatus) Descriptor() ([]byte, []int) {
	return file_zone_api_zone_zone_proto_rawDescGZIP(), []int{2}
}

func (x *ZoneStatus) GetZid() string {
	if x != nil {
		return x.Zid
	}
	return ""
}

func (x *ZoneStatus) GetStatus() string {
	if x != nil {
		return x.Status
	}
	return ""
}

func (x *ZoneStatus) GetVersion() string {
	if x != nil {
		return x.Version
	}
	return ""
}

var File_zone_api_zone_zone_proto protoreflect.FileDescriptor

var file_zone_api_zone_zone_proto_rawDesc = []byte{
	0x0a, 0x18, 0x7a, 0x6f, 0x6e, 0x65, 0x2d, 0x61, 0x70, 0x69, 0x2f, 0x7a, 0x6f, 0x6e, 0x65, 0x2f,
	0x7a, 0x6f, 0x6e, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x04, 0x7a, 0x6f, 0x6e, 0x65,
	0x22, 0x13, 0x0a, 0x11, 0x5a, 0x6f, 0x6e, 0x65, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x3b, 0x0a, 0x0f, 0x5a, 0x6f, 0x6e, 0x65, 0x53, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x28, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x10, 0x2e, 0x7a, 0x6f, 0x6e, 0x65, 0x2e,
	0x5a, 0x6f, 0x6e, 0x65, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x22, 0x50, 0x0a, 0x0a, 0x5a, 0x6f, 0x6e, 0x65, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x12, 0x10, 0x0a, 0x03, 0x7a, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x03, 0x7a,
	0x69, 0x64, 0x12, 0x16, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x18, 0x0a, 0x07, 0x76, 0x65,
	0x72, 0x73, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x76, 0x65, 0x72,
	0x73, 0x69, 0x6f, 0x6e, 0x32, 0x46, 0x0a, 0x04, 0x5a, 0x6f, 0x6e, 0x65, 0x12, 0x3e, 0x0a, 0x0a,
	0x5a, 0x6f, 0x6e, 0x65, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x12, 0x17, 0x2e, 0x7a, 0x6f, 0x6e,
	0x65, 0x2e, 0x5a, 0x6f, 0x6e, 0x65, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x15, 0x2e, 0x7a, 0x6f, 0x6e, 0x65, 0x2e, 0x5a, 0x6f, 0x6e, 0x65, 0x53,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x22, 0x00, 0x42, 0x31, 0x5a, 0x2f,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f,
	0x6e, 0x67, 0x72, 0x6f, 0x75, 0x6e, 0x64, 0x2f, 0x78, 0x62, 0x72, 0x70, 0x2f, 0x64, 0x65, 0x73,
	0x71, 0x2f, 0x7a, 0x6f, 0x6e, 0x65, 0x2d, 0x61, 0x70, 0x69, 0x2f, 0x7a, 0x6f, 0x6e, 0x65, 0x62,
	0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_zone_api_zone_zone_proto_rawDescOnce sync.Once
	file_zone_api_zone_zone_proto_rawDescData = file_zone_api_zone_zone_proto_rawDesc
)

func file_zone_api_zone_zone_proto_rawDescGZIP() []byte {
	file_zone_api_zone_zone_proto_rawDescOnce.Do(func() {
		file_zone_api_zone_zone_proto_rawDescData = protoimpl.X.CompressGZIP(file_zone_api_zone_zone_proto_rawDescData)
	})
	return file_zone_api_zone_zone_proto_rawDescData
}

var file_zone_api_zone_zone_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_zone_api_zone_zone_proto_goTypes = []interface{}{
	(*ZoneStatusRequest)(nil), // 0: zone.ZoneStatusRequest
	(*ZoneStatusReply)(nil),   // 1: zone.ZoneStatusReply
	(*ZoneStatus)(nil),        // 2: zone.ZoneStatus
}
var file_zone_api_zone_zone_proto_depIdxs = []int32{
	2, // 0: zone.ZoneStatusReply.status:type_name -> zone.ZoneStatus
	0, // 1: zone.Zone.ZoneStatus:input_type -> zone.ZoneStatusRequest
	1, // 2: zone.Zone.ZoneStatus:output_type -> zone.ZoneStatusReply
	2, // [2:3] is the sub-list for method output_type
	1, // [1:2] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_zone_api_zone_zone_proto_init() }
func file_zone_api_zone_zone_proto_init() {
	if File_zone_api_zone_zone_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_zone_api_zone_zone_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ZoneStatusRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_zone_api_zone_zone_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ZoneStatusReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_zone_api_zone_zone_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ZoneStatus); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_zone_api_zone_zone_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_zone_api_zone_zone_proto_goTypes,
		DependencyIndexes: file_zone_api_zone_zone_proto_depIdxs,
		MessageInfos:      file_zone_api_zone_zone_proto_msgTypes,
	}.Build()
	File_zone_api_zone_zone_proto = out.File
	file_zone_api_zone_zone_proto_rawDesc = nil
	file_zone_api_zone_zone_proto_goTypes = nil
	file_zone_api_zone_zone_proto_depIdxs = nil
}
